Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -16232,88 +29885,90 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  'AGES'   Rated                                N
-  'CMNT'   Comment                              N
-  'CODE'   EncodedBy                            N
-  'COMM'   Comments                             N
-  'DIRC'   Directory                            N
-  'DISP'   SoundSchemeTitle                     N
-  'DTIM'   DateTimeOriginal                     N
-  'GENR'   Genre                                N
-  'IARL'   ArchivalLocation                     N
-  'IART'   Artist                               N
-  'IAS1'   FirstLanguage                        N
-  'IAS2'   SecondLanguage                       N
-  'IAS3'   ThirdLanguage                        N
-  'IAS4'   FourthLanguage                       N
-  'IAS5'   FifthLanguage                        N
-  'IAS6'   SixthLanguage                        N
-  'IAS7'   SeventhLanguage                      N
-  'IAS8'   EighthLanguage                       N
-  'IAS9'   NinthLanguage                        N
-  'IBSU'   BaseURL                              N
-  'ICAS'   DefaultAudioStream                   N
-  'ICDS'   CostumeDesigner                      N
-  'ICMS'   Commissioned                         N
-  'ICMT'   Comment                              N
-  'ICNM'   Cinematographer                      N
-  'ICNT'   Country                              N
-  'ICOP'   Copyright                            N
-  'ICRD'   DateCreated                          N
-  'ICRP'   Cropped                              N
-  'IDIM'   Dimensions                           N
-  'IDPI'   DotsPerInch                          N
-  'IDST'   DistributedBy                        N
-  'IEDT'   EditedBy                             N
-  'IENC'   EncodedBy                            N
-  'IENG'   Engineer                             N
-  'IGNR'   Genre                                N
-  'IKEY'   Keywords                             N
-  'ILGT'   Lightness                            N
-  'ILGU'   LogoURL                              N
-  'ILIU'   LogoIconURL                          N
-  'ILNG'   Language                             N
-  'IMBI'   MoreInfoBannerImage                  N
-  'IMBU'   MoreInfoBannerURL                    N
-  'IMED'   Medium                               N
-  'IMIT'   MoreInfoText                         N
-  'IMIU'   MoreInfoURL                          N
-  'IMUS'   MusicBy                              N
-  'INAM'   Title                                N
-  'IPDS'   ProductionDesigner                   N
-  'IPLT'   NumColors                            N
-  'IPRD'   Product                              N
-  'IPRO'   ProducedBy                           N
-  'IRIP'   RippedBy                             N
-  'IRTD'   Rating                               N
-  'ISBJ'   Subject                              N
-  'ISFT'   Software                             N
-  'ISGN'   SecondaryGenre                       N
-  'ISHP'   Sharpness                            N
-  'ISRC'   Source                               N
-  'ISRF'   SourceForm                           N
-  'ISTD'   ProductionStudio                     N
-  'ISTR'   Starring                             N
-  'ITCH'   Technician                           N
-  'IWMU'   WatermarkURL                         N
-  'IWRI'   WrittenBy                            N
-  'LANG'   Language                             N
-  'LOCA'   Location                             N
-  'PRT1'   Part                                 N
-  'PRT2'   NumberOfParts                        N
-  'RATE'   Rate                                 N
-  'STAR'   Starring                             N
-  'STAT'   Statistics                           N
-  'TAPE'   TapeName                             N
-  'TCDO'   EndTimecode                          N
-  'TCOD'   StartTimecode                        N
-  'TITL'   Title                                N
-  'TLEN'   Length                               N
-  'TORG'   Organization                         N
-  'TRCK'   TrackNumber                          N
-  'TURL'   URL                                  N
-  'TVER'   Version                              N
-  'VMAJ'   VegasVersionMajor                    N
-  'VMIN'   VegasVersionMinor                    N
-  'YEAR'   Year                                 N
+  'AGES'   Rated                                no
+  'CMNT'   Comment                              no
+  'CODE'   EncodedBy                            no
+  'COMM'   Comments                             no
+  'DIRC'   Directory                            no
+  'DISP'   SoundSchemeTitle                     no
+  'DTIM'   DateTimeOriginal                     no
+  'GENR'   Genre                                no
+  'IARL'   ArchivalLocation                     no
+  'IART'   Artist                               no
+  'IAS1'   FirstLanguage                        no
+  'IAS2'   SecondLanguage                       no
+  'IAS3'   ThirdLanguage                        no
+  'IAS4'   FourthLanguage                       no
+  'IAS5'   FifthLanguage                        no
+  'IAS6'   SixthLanguage                        no
+  'IAS7'   SeventhLanguage                      no
+  'IAS8'   EighthLanguage                       no
+  'IAS9'   NinthLanguage                        no
+  'IBSU'   BaseURL                              no
+  'ICAS'   DefaultAudioStream                   no
+  'ICDS'   CostumeDesigner                      no
+  'ICMS'   Commissioned                         no
+  'ICMT'   Comment                              no
+  'ICNM'   Cinematographer                      no
+  'ICNT'   Country                              no
+  'ICOP'   Copyright                            no
+  'ICRD'   DateCreated                          no
+  'ICRP'   Cropped                              no
+  'IDIM'   Dimensions                           no
+  'IDIT'   DateTimeOriginal                     no
+  'IDPI'   DotsPerInch                          no
+  'IDST'   DistributedBy                        no
+  'IEDT'   EditedBy                             no
+  'IENC'   EncodedBy                            no
+  'IENG'   Engineer                             no
+  'IGNR'   Genre                                no
+  'IKEY'   Keywords                             no
+  'ILGT'   Lightness                            no
+  'ILGU'   LogoURL                              no
+  'ILIU'   LogoIconURL                          no
+  'ILNG'   Language                             no
+  'IMBI'   MoreInfoBannerImage                  no
+  'IMBU'   MoreInfoBannerURL                    no
+  'IMED'   Medium                               no
+  'IMIT'   MoreInfoText                         no
+  'IMIU'   MoreInfoURL                          no
+  'IMUS'   MusicBy                              no
+  'INAM'   Title                                no
+  'IPDS'   ProductionDesigner                   no
+  'IPLT'   NumColors                            no
+  'IPRD'   Product                              no
+  'IPRO'   ProducedBy                           no
+  'IRIP'   RippedBy                             no
+  'IRTD'   Rating                               no
+  'ISBJ'   Subject                              no
+  'ISFT'   Software                             no
+  'ISGN'   SecondaryGenre                       no
+  'ISHP'   Sharpness                            no
+  'ISMP'   TimeCode                             no
+  'ISRC'   Source                               no
+  'ISRF'   SourceForm                           no
+  'ISTD'   ProductionStudio                     no
+  'ISTR'   Starring                             no
+  'ITCH'   Technician                           no
+  'IWMU'   WatermarkURL                         no
+  'IWRI'   WrittenBy                            no
+  'LANG'   Language                             no
+  'LOCA'   Location                             no
+  'PRT1'   Part                                 no
+  'PRT2'   NumberOfParts                        no
+  'RATE'   Rate                                 no
+  'STAR'   Starring                             no
+  'STAT'   Statistics                           no
+  'TAPE'   TapeName                             no
+  'TCDO'   EndTimecode                          no
+  'TCOD'   StartTimecode                        no
+  'TITL'   Title                                no
+  'TLEN'   Length                               no
+  'TORG'   Organization                         no
+  'TRCK'   TrackNumber                          no
+  'TURL'   URL                                  no
+  'TVER'   Version                              no
+  'VMAJ'   VegasVersionMajor                    no
+  'VMIN'   VegasVersionMinor                    no
+  'YEAR'   Year                                 no
 
 =head3 RIFF Tdat Tags
@@ -16329,11 +29984,11 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  'ecor'   Make                                 N
-  'emdl'   Model                                N
-  'emnt'   MakerNotes                           N
-  'erel'   RelatedImageFile                     N
-  'etim'   TimeCreated                          N
-  'eucm'   UserComment                          N
-  'ever'   ExifVersion                          N
+  'ecor'   Make                                 no
+  'emdl'   Model                                no
+  'emnt'   MakerNotes                           no
+  'erel'   RelatedImageFile                     no
+  'etim'   TimeCreated                          no
+  'eucm'   UserComment                          no
+  'ever'   ExifVersion                          no
 
 =head3 RIFF Hdrl Tags
@@ -16341,6 +29996,6 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'IDIT'               DateTimeOriginal         N
-  'ISMP'               Timecode                 N
+  'IDIT'               DateTimeOriginal         no
+  'ISMP'               TimeCode                 no
   'LIST_odml'          OpenDML                  RIFF OpenDML
   'LIST_strl'          Stream                   RIFF Stream
@@ -16355,7 +30010,7 @@
 =head3 RIFF ExtAVIHdr Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    TotalFrameCount                      N
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    TotalFrameCount                      no
 
 =head3 RIFF Stream Tags
@@ -16367,5 +30022,5 @@
            VideoFormat                          BMP
   'strh'   StreamHeader                         RIFF StreamHeader
-  'strn'   StreamName                           N
+  'strn'   StreamName                           no
 
 =head3 RIFF StreamData Tags
@@ -16378,44 +30033,76 @@
   'AVIF'       AVIF                             EXIF
   'CASI'       CasioData                        Casio AVI
-  'Zora'       VendorName                       N
-  'unknown'    UnknownData                      N
+  'Zora'       VendorName                       no
+  'unknown'    UnknownData                      no
 
 =head3 RIFF AudioFormat Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    Encoding                             N
-      1    NumChannels                          N
-      2    SampleRate                           N
-      4    AvgBytesPerSec                       N
-      7    BitsPerSample                        N
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    Encoding                             no
+      1    NumChannels                          no
+      2    SampleRate                           no
+      4    AvgBytesPerSec                       no
+      7    BitsPerSample                        no
 
 =head3 RIFF StreamHeader Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    StreamType                           N
-      1    AudioCodec                           N
-           VideoCodec                           N
-           Codec                                N
-      5    AudioSampleRate                      N
-           VideoFrameRate                       N
-           StreamSampleRate                     N
-      8    AudioSampleCount                     N
-           VideoFrameCount                      N
-           StreamSampleCount                    N
-     10    Quality                              N
-     11    SampleSize                           N
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    StreamType                           no
+      1    AudioCodec                           no
+           VideoCodec                           no
+           Codec                                no
+      5    AudioSampleRate                      no
+           VideoFrameRate                       no
+           StreamSampleRate                     no
+      8    AudioSampleCount                     no
+           VideoFrameCount                      no
+           StreamSampleCount                    no
+     10    Quality                              no
+     11    SampleSize                           no
 
 =head3 RIFF AVIHeader Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    FrameRate                            N
-      1    MaxDataRate                          N
-      4    FrameCount                           N
-      6    StreamCount                          N
-      8    ImageWidth                           N
-      9    ImageHeight                          N
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    FrameRate                            no
+      1    MaxDataRate                          no
+      4    FrameCount                           no
+      6    StreamCount                          no
+      8    ImageWidth                           no
+      9    ImageHeight                          no
+
+=head3 RIFF VP8 Tags
+
+This chunk is found in simple-format (lossy) WebP files. See
+L<https://developers.google.com/speed/webp/docs/riff_container> for the WebP
+container specification.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    VP8Version                           no
+      6    ImageWidth                           no
+    6.1    HorizontalScale                      no
+      8    ImageHeight                          no
+    8.1    VerticalScale                        no
+
+=head3 RIFF VP8L Tags
+
+This chunk is found in lossless WebP files.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      1    ImageWidth                           no
+      2    ImageHeight                          no
+
+=head3 RIFF VP8X Tags
+
+This chunk is found in extended WebP files.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    ImageWidth                           no
+      6    ImageHeight                          no
 
 =head3 RIFF BroadcastExt Tags
@@ -16424,38 +30111,75 @@
 L<http://tech.ebu.ch/docs/tech/tech3285.pdf>).
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    Description                          N
-    256    Originator                           N
-    288    OriginatorReference                  N
-    320    DateTimeOriginal                     N
-    338    TimeReference                        N
-    346    BWFVersion                           N
-    602    CodingHistory                        N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    Description                          no
+    256    Originator                           no
+    288    OriginatorReference                  no
+    320    DateTimeOriginal                     no
+    338    TimeReference                        no
+    346    BWFVersion                           no
+    348    BWF_UMID                             no
+    602    CodingHistory                        no
+
+=head3 RIFF DS64 Tags
+
+64-bit data sizes for MBWF/RF64 files.  See
+L<https://tech.ebu.ch/docs/tech/tech3306-2009.pdf> for the specification.
+
+  Index8   Tag Name                             Writable
+  ------   --------                             --------
+      0    RIFFSize64                           no
+      1    DataSize64                           no
+      2    NumberOfSamples64                    no
+
+=head3 RIFF Label Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    LabelID                              no
+      1    LabelText                            no
+
+=head3 RIFF UserText Tags
+
+Tags decoded from the USER-format txts stream written by Momento M6 dashcam.
+Extracted only if the ExtractEmbedded option is used.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     28    GPSAltitude                          no
+     40    Accelerometer                        no
+     56    GPSSpeed                             no
+     60    GPSLatitude                          no
+     64    GPSLongitude                         no
+     68    GPSDateTime                          no
 
 =head2 AIFF Tags
 
-Only the tags decoded by ExifTool are listed in this table.
+Tags extracted from Audio Interchange File Format (AIFF) files.  See
+L<http://www-mmsp.ece.mcgill.ca/Documents/AudioFormats/AIFF/AIFF.html> for
+the AIFF specification.
 
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  '(c) '   Copyright                            N
-  'ANNO'   Annotation                           N
-  'AUTH'   Author                               N
+  '(c) '   Copyright                            no
+  'ANNO'   Annotation                           no
+  'APPL'   ApplicationData                      no
+  'AUTH'   Author                               no
   'COMM'   Common                               AIFF Common
   'COMT'   Comment                              AIFF Comment
   'FVER'   FormatVersion                        AIFF FormatVers
   'ID3 '   ID3                                  ID3
-  'NAME'   Name                                 N
+  'NAME'   Name                                 no
 
 =head3 AIFF Common Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    NumChannels                          N
-      1    NumSampleFrames                      N
-      3    SampleSize                           N
-      4    SampleRate                           N
-      9    CompressionType                      N
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    NumChannels                          no
+      1    NumSampleFrames                      no
+      3    SampleSize                           no
+      4    SampleRate                           no
+      9    CompressionType                      no
+     11    CompressorName                       no
 
 =head3 AIFF Comment Tags
@@ -16463,13 +30187,13 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  0x0000   CommentTime                          N
-  0x0001   MarkerID                             N
-  0x0002   Comment                              N
+  0x0000   CommentTime                          no
+  0x0001   MarkerID                             no
+  0x0002   Comment                              no
 
 =head3 AIFF FormatVers Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    FormatVersionTime                    N
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    FormatVersionTime                    no
 
 =head2 ASF Tags
@@ -16481,11 +30205,11 @@
   Tag Name                                      Writable
   --------                                      --------
-  SimpleIndex                                   N
-  TimecodeIndex                                 N
+  SimpleIndex                                   no
+  TimecodeIndex                                 no
   Header                                        ASF Header
-  Data                                          N
+  Data                                          no
   XMP                                           XMP
-  Index                                         N
-  MediaIndex                                    N
+  Index                                         no
+  MediaIndex                                    no
 
 =head3 ASF Header Tags
@@ -16493,20 +30217,20 @@
   Tag Name                                      Writable
   --------                                      --------
-  Padding                                       N
-  ScriptCommand                                 N
+  Padding                                       no
+  ScriptCommand                                 no
   ContentBranding                               ASF ContentBranding
-  ContentEncryption                             N
-  DigitalSignature                              N
-  ExtendedContentEncryption                     N
+  ContentEncryption                             no
+  DigitalSignature                              no
+  ExtendedContentEncryption                     no
   HeaderExtension                               ASF HeaderExtension
   ContentDescription                            ASF ContentDescr
-  ErrorCorrection                               N
-  StreamBitrateProps                            N
+  ErrorCorrection                               no
+  StreamBitrateProps                            no
   CodecList                                     ASF CodecList
   FileProperties                                ASF FileProperties
   StreamProperties                              ASF StreamProperties
   ExtendedContentDescr                          ASF ExtendedDescr
-  BitrateMutualExclusion                        N
-  Marker                                        N
+  BitrateMutualExclusion                        no
+  Marker                                        no
 
 =head3 ASF ContentBranding Tags
@@ -16514,8 +30238,8 @@
   Tag Name                                      Writable
   --------                                      --------
-  BannerImageType                               N
-  BannerImage                                   N
-  BannerImageURL                                N
-  CopyrightURL                                  N
+  BannerImageType                               no
+  BannerImage                                   no
+  BannerImageURL                                no
+  CopyrightURL                                  no
 
 =head3 ASF HeaderExtension Tags
